Subject: Re: Need to use Exim as a mail relay
From: Tek Bahadur Limbu <[email-masked]>
To: Roelf Renkema <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Apr 2007 15:33:58 +0545
List-Id: <cygwin.cygwin.com>

On Thu, 12 Apr 2007 14:08:09 +0100
Roelf Renkema <[email-masked]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Tek Bahadur Limbu wrote:
> > Dear All,
> > 
> > I am very new to Cygwin. In fact, I have just installed both Cygwin and Exim today.
> > 
> > I wanted to know if there is a way to use my server running Cygwin and Exim and use it as a mail relay to one of my primary mail servers.
> > 
> > My server running Cygwin does not have a MX record. 
> > 
> > Any suggestions will be appreciated. 
> > 
> That's no problem at all. I'm doing just that. If you need it to be
> found by other servers, you could get a dynamic dns domain at f.i.
> dyndns.org. But to use it as a primary server I suggest you get a fixed
> IP. And probably a little homework on relaying might also be wise. If
> you have set things up please check your setup with:
> 
> http://www.abuse.net/relay.html

Hi Roelf,

Thanks for your reply.

I am running the Cygwin Server on a static public IP. Also, my primary SMTP server has also a public and static IP with a world reachable MX record.

My problem is with the below router configuration which works in Exim running under FreeBSD or Linux:

send_to_gateway:
     driver = manualroute
     transport = remote_smtp
     route_list = * primary.mx.smtp.server

The above router works in FreeBSD/Linux but the same configuration does not work in Win2K/Cygwin.

I get the error:

router send_to_gateway: cannot find router driver "manaulroute".

Can you shed some light on this?

> 
> - --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 
> 
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.6 (MingW32)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
> 
> iD8DBQFGHi848LhtcVSmguYRAl+VAJ9jcUnMicP1QjiMwFjZjxGy1La5DQCeO+6M
> FED5Y7qmBicFgSrau7kNKAg=
> =2utK
> -----END PGP SIGNATURE-----
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

- -- 

With best regards and good wishes,

Yours sincerely,

Tek Bahadur Limbu

(TAG/TDG Group)
Jwl Systems Department

Worldlink Communications Pvt. Ltd.

Jawalakhel, Nepal

http://www.wlink.com.np

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/